> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VMS Scan Configuration by ID



## OpenAPI

````yaml get /vms/scan-configurations/{scan_config_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /vms/scan-configurations/{scan_config_id}:
    get:
      tags:
        - vms
      summary: Get VMS Scan Configuration by ID
      operationId: get_vms_scan_configuration_by_id
      parameters:
        - name: scan_config_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Scan Config Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VMSScanConfigurationRespModel'
        '404':
          description: VMS Scan Configuration not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    VMSScanConfigurationRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the VMS scan configuration
        vendor:
          allOf:
            - $ref: '#/components/schemas/VulnerabilityVendor'
          description: Source vendor
        vendor_id:
          type: string
          title: Vendor Id
          description: Pass through value of vendor ID for the scan configuration
        name:
          type: string
          title: Name
          description: Name of the scan configuration
        owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner
          description: Owner of the scan configuration
        severity_frequency:
          anyOf:
            - $ref: '#/components/schemas/VMSScanConfigurationSeverityFrequency'
            - type: 'null'
          description: Severity frequency result of latest scan for the scan configuration
        device_target_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Device Target Count
          description: >-
            Number of devices targeted in the latest scan for the scan
            configuration
        scan_targets:
          items:
            type: string
          type: array
          title: Scan Targets
          description: >-
            List of scan targets in the latest scan for the scan configuration.
            It can be IP addresses, hyphenated IP ranges, etc
        is_scheduled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Scheduled
          description: Is the scan configuration scheduled or on demand
        is_enabled:
          type: boolean
          title: Is Enabled
          description: Is the scan configuration active/enabled or inactive/disabled
        last_scan_vendor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Scan Vendor Id
          description: Vendor's ID of the last scan for the scan configuration
        vendor_data:
          anyOf:
            - type: object
            - type: 'null'
          title: Vendor Data
          description: Vendor specific pass through data, values can vary based on vendor
      type: object
      required:
        - id
        - vendor
        - vendor_id
        - name
        - owner
        - severity_frequency
        - device_target_count
        - scan_targets
        - is_scheduled
        - is_enabled
        - last_scan_vendor_id
      title: VMSScanConfiguration
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VulnerabilityVendor:
      type: string
      enum:
        - tenable
        - qualys
        - snyk
        - insightvm
        - crowdstrike_spotlight
        - sentinelone_vms
        - MS_DEFENDER_VMS
        - WIZ_VMS
        - AWS_INSPECTOR2
      title: VulnerabilityVendor
    VMSScanConfigurationSeverityFrequency:
      properties:
        critical:
          type: integer
          title: Critical
          description: Number of critical severity vulnerabilities
        high:
          type: integer
          title: High
          description: Number of high severity vulnerabilities
        medium:
          type: integer
          title: Medium
          description: Number of medium severity vulnerabilities
        low:
          type: integer
          title: Low
          description: Number of low severity vulnerabilities
        info:
          type: integer
          title: Info
          description: Number of info severity vulnerabilities
      type: object
      required:
        - critical
        - high
        - medium
        - low
        - info
      title: VMSScanConfigurationSeverityFrequency
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````